> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# List the abilities

- Product: Meta
- Section: meta
- Snapshot: v0.1.0+8bf142be
- Method: `GET`
- Path: `/abilities`

## Execute with curl

```bash
curl https://substrate.sloelabs.com/abilities
```

## Execute with JavaScript

```js
const response = await fetch("https://substrate.sloelabs.com/abilities", {
  method: "GET",
});
const { ok, result, error } = await response.json();
```

## Execute with Python

```python
import requests

response = requests.get(
    "https://substrate.sloelabs.com/abilities",
)
print(response.json())
```

## Responses

### Response `200`

Category: success  

Every ability, with its description.

#### `application/json`

##### Generated example

```json
[
  {
    "id": "id",
    "description": "description"
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `id`

Type: `string`  
Required: yes  

###### `description`

Type: `string`  
Required: no  

## Related representations

- [Human documentation](/api/meta/methods/list-abilities/)
- [curl Markdown](/api/meta/methods/list-abilities.md?lang=curl)
- [JavaScript Markdown](/api/meta/methods/list-abilities.md?lang=fetch)
- [Python Markdown](/api/meta/methods/list-abilities.md?lang=python)
- [site llms.txt](/api/llms.txt)
- [product llms.txt](/api/meta/llms.txt)
- [snapshot llms.txt](/api/meta/llms.txt)
